Subject: Re: bug#11649: 24.1.50; Some compilation woes

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Jun 2012 08:56:26 -0400

> Compiler-macro error: (void-function cl--defsubst-expand)

I have to investigate some more, but I believe this is very minor: the
compiler-macro is not loaded so the function does not get inlined
(cl--defsubst-expand is the compiler-macro that implements the
inlining for defsubst*, aka cl-defsubst).

Not only this should be very minor but I believe the only real change is
that the compiler-macro-expansion used to fail silently in this case.
It happens in any file which calls a function defined with `cl-defsubst'
(e.g. a defstruct accessor) but which does not itself require CL.

        Stefan